Decrease user promo credit amount, the amount after decreased should greater than 0
https://api.unibee.dev/merchant/credit/promo_credit_decrement
Decrease user promo credit amount, the amount after decreased should greater than 0
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
amount | integer | Yes | The Amount to decrease, should greater than 0 |
currency | string | Yes | currency of recharge |
description | string | No | description of increase action |
name | string | No | name of increase action |
userId | integer | Yes | filter id of user |
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.UserPromoCreditAccount | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Decrease user promo credit amount, the amount after decreased should greater than 0